.LP
.nf
     ELMT01                         FEAP ELEMENT USERS MANUAL
     --------------------------------------------------------
	e,nu,rho,l,k,i
	thick,b-x,b-y,alpha,T0
     --------------------------------------------------------
.PP
ELMT01 is a general plane stress and plane strain element for 
linear elastic and isotropic materials.  The element includes
capabilities for computing solutions which involve constant
body forces and specified temperature loadings.
.PP
The material and property descriptions are included after a 'mate'
in the mesh specification.  For ELMT01, which is a general 3-9
element, the properties to be
specified are:
.nf
     e     -  Young's modulus
     nu    -  Poisson ratio
     rho   -  Mass density
     l     -  number of Gauss quadrature points/direction for
	      computing the finite element arrays (e.g., stiffness)
     k     -  number of Gauss quadrature points/direction for
	      stress ouputs
     i     -  plane stress/plane strain selection
	      (i = 0  for plane strain, i = 1 for plane stress)
     thick -  thickness of plane stress slice (set to 1.0 for
	      plane strain or zero input values)
     b-x   -  body force value (constant) for x-direction.
     b-y   -  body force value (constant) for y-direction.
     alp   -  coefficient of linear thermal expansion.
     t0    -  stress free temperature for this material.
	      (note: nodal temperatures are specified using
	      'temp' during mesh specification).
.PP
The element requires a two dimensional mesh and uses the first
two coordinate values for x and y, respectively.  Similarly, the
element uses the first 2-dof at each node for the u-x and u-y 
displacement values, respectively.
.PP
ELMT01 requires that the control information be set so that 'ndm'
(space dimension of mesh) is 2 or more (maximum 3); 'ndf' maximum
number of degree-of-freedoms at a node are 2 or more (maximum 6);
and 'nen' (maximum number of nodes attached to an element) be 3 or more.
The element routine will compute any combination of nodes, up to 9,
provided all vertex nodes are specified.  Triangles may be specified
by either giving the same node number for contiguous vertices, or
for the 3-node element, by specifying only the first 3 nodes (i.e.,
node 4 has a zero value).
.PP
Stresses and strains at each quadrature point selected are reported
as follows:
.nf
     11-stress (11-strain)  - normal stress in 1-coordinate direction
     12-stress (12-strain)  - shearing stress in 12-plane
     22-stress (22-strain)  - normal stress in 2-coordinate direction
      1-stress              - major principal stress in 12-plane
      2-stress              - minor principal stress in 12-plane
      angle                 - angle 1-stress makes with 1-coordinate
			      direction (in degrees).
.bp
