.LP
.ds LH \fBELMT07\fP
.ds RH \fBFEAP ELEMENT USERS MANUAL\fP
.EQ
delim $$
gsize 12
.EN
.nr VS 14
.nr PS 12
.nr LL 5.5i
.LP
.RS
.B
.TS
expand,tab(#);
l r.
ELMT07 # FEAP ELEMENT USERS MANUAL
.R

_
imat, $rho sub 0$
material property data

for imat=1 or 2:

K , $mu$

for imat=3:

K , ($c sub i ^,^ n sub i$, i=1,3)
$beta$, $alpha$
($gamma sub i ^,^ nu sub i$, i=1,3)
_
.TE
.RE
.sp 2
.nr LL 6.5i
.PP
ELMT07 is an element for finite deformation analysis of
general three dimensional elastic and visco-elastic problems involving,
possibly, damage degradation.
The material and property descriptions are included after a 'mate'
in the mesh specification.  For ELMT07, which is an 8-node
isoparametric brick element, the properties to be specified are:
.sp
.SH
Record 1.
.nr LL 5i
.LP
.RS
.TS
tab(#);
l l.
imat        #- material model number
            #   1 = Neo-Hookean with $J sup {2 / 3} $ regularization
            #   2 = Neo-Hookean w/o $J sup {2 / 3} $ regularization
            #   3 = Ogden type for elastic/visco/damage
$rho sub 0$ #- Mass density
.TE
.RE
.nr LL 6.5i
.LP
.SH
MATERIAL MODEL 1 or 2: COMPRESSIBLE NEO-HOOKEAN MATERIAL.
.LP
.SH
Record 2.
.nr LL 5i
.LP
.RS
.TS
tab(#);
l l.

K         #- Elastic modulus of the volumetric behavior
$mu$      #- Elastic modulus of the shear behavior

.TE
.RE
.bp
.nr LL 6.5i
.LP
.SH
MATERIAL MODEL 3: OGDEN TYPE MATERIAL
.LP
.SH
Record 2.
.nr LL 5i
.LP
.RS
.TS
tab(#);
l l.

K         #- Elastic modulus of the volumetric behavior
$c sub 1$ #- Shear modulus coefficient for term 1
$n sub 1$ #- Exponent for term 1
$c sub 2$ #- Shear modulus coefficient for term 2
$n sub 2$ #- Exponent for term 2
$c sub 3$ #- Shear modulus coefficient for term 3
$n sub 3$ #- Exponent for term 3

.TE
.RE
.nr LL 6.5i
.LP
.SH
Record 3.
.nr LL 5i
.LP
.RS
.TS
tab(#);
l l.

$beta$   #- Damage limit parameter
$alpha$  #- Damage exponent parameter
.TE
.RE
.nr LL 6.5i
.LP
.SH
Record 4.
.nr LL 5i
.LP
.RS
.TS
tab(#);
l l.

$gamma sub 1$#- Visco-elastic modulus ratio - term 1
$nu sub 1$   #- Relaxation time - term 1
$gamma sub 2$#- Visco-elastic modulus ratio - term 2
$nu sub 2$   #- Relaxation time - term 2
$gamma sub 3$#- Visco-elastic modulus ratio - term 3
$nu sub 3$   #- Relaxation time - term 3

.TE
.RE
.nr LL 6.5i
.PP
The element requires a three dimensional mesh and uses the first
three coordinate values for x, y, and z, respectively.  Similarly, the
element uses the first 3-dof at each node for the u-x, u-y,
and u-z displacement values, respectively.
.PP
ELMT07 requires that the control information be set so that 'ndm'
(space dimension of mesh) is 3; 'ndf' maximum
number of degree-of-freedoms at a node are 3 or more (maximum 6);
and 'nen' (maximum number of nodes attached to an element) be 8
or more.
.PP
Stresses and deformation
s at the center of element are reported as follows:
.nr LL 5.5i
.LP
.RS
.TS
tab(#);
l l.

11-stress # - normal stress in 1-coordinate direction
22-stress # - normal stress in 2-coordinate direction
33-stress # - normal stress normal to 12-plane.
12-stress # - shearing stress in 12-plane
23-stress # - shearing stress in 12-plane
31-stress # - shearing stress in 12-plane
 1-stress # - major principal stress in 12-plane
 2-stress # - minor principal stress in 12-plane
 3-stress # - minor principal stress in 12-plane
log $lambda sub 1$ # - log principal stretch in 1-direction
log $lambda sub 2$ # - log principal stretch in 2-direction
log $lambda sub 3$ # - log principal stretch in 3-direction
log J     #- log volume change.
Damage    #- damage amount (1.0 = no damage).

.TE
.RE
.nr LL 6.5i
.PP
In addition these stresses may be projected to nodes and
printed using a 'stre,node,n1,n2,n3' macro, or contours
may be plotted using a 'plot,stre,n1,n2,n3' macro.  This
projection also acts as a filter that removes possible
pressure modes in nearly incompressible problems.
.sp
.SH
SURFACE LOADING
.PP
Surface loading may be specified for the element 
using \fIsload\fP inputs.  Only constant normal pressure on
the reference or the deformed body may be given as surface
loading values.
.nr LL 5.5i
.LP
.RS
.TS
tab(#);
l l.

iel    #  must be specified as 7
ns     #  must be specified as 4
nv     #  must be specified as 1
nl     #  specify as 1 for reference
       #  surface loading; specify as
       #  -1 for current surface loading.

.TE
.RE
.nr LL 6.5i
.PP
The input node sequence should be given by a right-hand
rule sequence which describes an outward normal.  The
specified loading is then a surface tensile normal traction.
Additional details on the calculation of the loads and associated
tangent matrices is contained in [1].
.PP
It should be noted that surface loads are, in general, \fInon-conservative.\fP
Consequently, the tangent stiffness matrix is \fInon-symmetric\fP.
To analyze this type of problems with FEAP one must, therefore, use the
macro-command \f(CWUTAN,,1\fP
.R
(in place of \f(CWTANG,,1\fP).
.sp
.SH
BRIEF TECHNICAL DESCRIPTION
.sp .5
.PP
\fBOverview.\fP ELMT07 is based upon a three field approximation in which the
displacement field is given by an isoparametric interpolation for
the 8-node brick element, the volume ($det ^(^ J ^)$ is assumed
constant in each element, and the pressure also is assumed constant
in each element.  This permits the element to be used for both
compressible and nearly-incompressible applications.
The material model is a finite deformation hyperelastic
constitutive equation based upon principal stretches.
Compressibility effects are included within the elastic strain
energy.
Visco-elastic behavior is included through use of an integral
representation with an exponential type kernel function.
Visco-elasticity is restricted to the deviatoric response.
In addition a simple damage model based upon the maximum of the
second invariant of the deviator stresses is included.
.sp .5
.PP
\fBElastic Models.\fP Three hyperelastic isotropic constitutive models are
currently implemented. The first two models are two alternative
extensions of the classical NeoHookean model to the compressible range.
The last model is the general class of Ogden-type of elastic models;
i.e., an elastic model with separable stored energy function
(Valanis-Landel hypothesis) formulated in terms of principal stretches.
This last model, which includes the first two as a particular case,
possesses a stored energy function of the form
.EQ
W^(^ J ^,^ lambda tilde sub i  ^) ~~=~~ U ^(^ J ^) ~+~
sum from { i = 1 } to 3 ^ { c sub n } over { n sub i } ^[^
(^ lambda tilde sub i ^) sup { n sub i }  ~-~ 1 ^]
.EN
.LP
where $J$ is the determinant of the deformation gradient tensor and
$lambda tilde sub i$ are the principal deviatoric stretches, defined
as
.EQ
lambda tilde sub i ~~:=~~ J sup { -  2 / 3 } ~ lambda sub i ~,~~~
J ~~:=~~ det~ [ { bold F } ] ~ .
.EN
Here, $lambda sub i$ are the principal values of the deformation
gradient.  The volumetric part of the strain energy function is expressed as
.EQ
U ^(^ J ^) ~~=~~ half ^ K ^ ^(^ log sub e ^ J ^) sup 2
.EN
.LP
where the parameter $K$ is a single parameter which controls the
volumetric behavior and for small strains corresponds to the usual
bulk modulus.  Any other functional form can be easily implemented
merely by changing the subroutine \f(CWUENGY7\fP.
.R
The elastic 2nd Piola-Kirchhoff stress is then recovered from 
.EQ
bold S sup e ~~=~~ 2 ^ rho sub 0 ^ { partial W ( bold C ) } over { partial bold C }
.EN
.LP
where $rho sub 0$ is the reference system mass density and $bold C$
is the right Cauchy-Green deformation tensor.
.PP
In applications to nearly-incompressible
problems the value of $K$ should not be set to a value greater than
$10 sup 3$ times the sum of the $c sub i$ values (which in the small
strain limit corresponds to the shear modulus).  If it is necessary
to obtain solutions for $K$ values which are larger than this
solutions should be constructed using an augmented lagrangian
iteration strategy.
.LP
For further discussion on the model and use of an augmented
lagrangian solution procedure see reference [2].
.sp .5
.PP
\fBViscoelasticity.\fP In ELMT07 the viscoelastic stress is computed from the 
deviatoric part of the elastic stress as described in reference [3] using
the following convolution representation
.EQ
bold S ^(^ t ^) ~~=~~J^ U prime ( J )^ { bold C } sup { - 1 } ~~+ ~~
int from { - infinity } to t ^ gamma ^(^ t ^-^ tau ^) ^
{ partial over { partial tau } } ^ DEV ^[^ bold S sup e
^(^ tau ^)^] d  tau
.EN
.LP
Here, $DEV ^[^ bold S sup e ^]^$ is the deviator of the stress tensor in
the material representation; that is
.EQ
DEV ^[^ bold S sup e ^] ~~:=~~ bold S sup e~-~ { 1 over 3 }^tr ^[ bold S
sup e ^ bold C ^]~ { bold C } sup { - 1 } .
.EN
.LP
Therefore, the model achieves a decoupled volumetric/deviatoric
response.  The volumetric response, defined by the function $U^(^J^)$ which
is input in the subroutine \f(CWUENGY7\fP,
.R
is assumed to be elastic.  The
function $gamma ( t )$ defines the deviatoric viscoelastic response and
is assumed to take the following expression in terms of Prony series
.EQ
gamma ^(^ t ^) ~~=~~ 1 ^-^ sum from j=1 to 3 ^ gamma sub j ^ (^ 1 ^-^ e
sup { - ^ t / nu sub j } ^)
.EN
.LP
Elastic behavior is recovered by setting all $gamma sub j$ to zero.
The sum of the $gamma sub j$ must be less than unity ( to reduce
the number of terms input a zero values of unused $gamma sub j$) .  The
function $gamma ^(^t^)$, combined with the specification of the
elastic properties $c sub i$ define the \fIrelaxation function\fP
for the material.
.sp .5
.PP
\fBDamage response.\fP  The damage model currently implemented in ELMT07
is a continuum damage degradation model with the following functional
form. At time $t$, the deviatoric part of the second Piola-Kirchhoff tensor
is defined in terms of the volume preserving part of the stored energy function 
$W tilde ( { bold C } tilde sub t )$, depending on the current value of the 
volume preserving part of the right Cauchy-Green tensor ${ bold C} tilde sub t$
$~:=~ J sub t sup {- { 2 / 3} } bold C sub t$, and a damage function
$g ( XI sub t)$ as follows
.EQ
DEV ^[^ bold S sub t sup e  ^] ~~=~~ g ( XI sub t )~2 ^ rho sub 0 ^
{ partial W tilde ( { bold C } tilde sub t ) } over { partial bold C }
.EN
.LP
Here $XI sub t$ is a scalar internal variable that depends on the entire 
history of the right Cauchy-Green tensor up to time $t$ via its
principal invariants.  Currently, it is assumed that $XI sub t$ is the
maximum value of the distortional part of the stored energy function up
to time $t$; that is
.EQ
XI sub t ~~:=~~ max~"{"~sqrt{ W tilde ( { bold C } tilde sub tau ) }
~~~ for~~ tau^\(mo^( - infinity , ~ t ] ~"}" .
.EN
.LP
The degradation function $g( XI sub t )$ is assumed to be of the form
.EQ
g ( XI ) ~~=~~ beta ~+~ ( 1 ^-~ beta )^ { { 1^ - ^ exp^ [^- XI ^/^ alpha ^ ] }
over { XI ^/^ alpha } }
.EN
.LP
where the parameters $alpha ~>~ 0$ and $beta ~>=~ 0$ are specified by the
user as input data for the model.  Note that $g ( XI )~->~ beta$ as
$XI ~->~ infinity$, and $g( 0 ) ~=~1$.
The damage model can also be fully coupled with the viscoelastic model
described above, and the present implementation is designed to
accommodate this feature.  For further details on the theoretical
formulation and physical motivation for this model see [3,4].
.sp
.SH
REFERENCES
.IP 1.
J. C. Simo, R. L. Taylor and P. Wriggers, "A Note on Finite Element
Implementation of Pressure Boundary Loading," (submitted for 
publication).
.IP 2.
J. C. Simo and R. L. Taylor, "Quasi-Incompressible Finite
Elasticity in Principal Stretches.  Continuum Basis and Numerical
Algorithms",
.I
Computer Methods in Applied Mechanics and Engineering
.R
(to appear 1990).
.IP 3.
J. C. Simo, "On a fully Three dimensional Finite Strain Viscoelastic
Damage Model.  Formulation and Computational Aspects,"
.I
Computer Methods in Applied Mechanics and Engineering,
.B
60,
.R
153-173, 1987.
.IP 4.
J. C. Simo and R. L. Taylor, "A Three Dimensional Finite Deformation
Viscoelastic Model Accounting for Damage Effects", Report No.
UCB/SESM-85/02, Department of Civil Engineering, University of
California at Berkeley, March 1985.
