.LP
.nr LL 7i
.nf
     ELMT09                         FEAP ELEMENT USERS MANUAL
     --------------------------------------------------------
	itype,isym
	k,g,y0,yinf,delta,linh,isor,its
     --------------------------------------------------------
.PP
ELMT09 is an element for finite deformation analysis of
plane strain and axisymmetric elastoplastic problems. 
The material model is a finite deformation hyperelastic
constitutive equation combined with a J2 plasticity model
with isotropic and kinematic hardening.  The hardening
is modeled with a linear term on the effective plastic
strain or a saturation model on the effective plastic
strain (or the two effects may be combined).
.PP
The material and property descriptions are included after a 'mate'
in the mesh specification.  For ELMT09, which is a 4-node
element, the properties to be specified are:
.nf

Record 1.
      
     itype - Type of analysis (0 = plane strain, 1 = axisym.)
     isym  - Symmetrized stiffness used if zero (0).

Record 2.


     k     -  Bulk modulus
     g     -  Shear modulus
     y0    -  Initial yield stress
     yinf  -  Yield stress at infinite effective plastic strain
	      (not counting linear hardening term)
     delta -  Exponential coefficient in saturation hardening
     linh  -  Linear hardening coefficient
     isohr -  Portion of hardining which is isotropic (0.0-1.0).
     rho   -  Mass density. (for dynamic problems only)
     its   -  Number of iterations in constitutive eq (default 50).

The yield radius for the J2 theory is computed using:

   yld  =  y0 + (yinf - y0)*(1.0 - exp(-delta*ep)) + linh*ep

where ep is the effective plastic strain.
.PP
The element requires a two dimensional mesh and uses the first
two coordinate values for x and y, respectively.  Similarly, the
element uses the first 2-dof at each node for the u-x and u-y 
displacement values, respectively.
.PP
ELMT09 requires that the control information be set so that 'ndm'
(space dimension of mesh) is 2 or more (maximum 3); 'ndf' maximum
number of degree-of-freedoms at a node are 2 or more (maximum 6);
and 'nen' (maximum number of nodes attached to an element) be 4 or more.
.PP
Stresses and strains at center quadrature point are reported
as follows:
.nf
     11-stress   - normal stress in 1-coordinate direction
     12-stress   - shearing stress in 12-plane
     22-stress   - normal stress in 2-coordinate direction
     33-stress   - normal stress normal to 12-plane.
      1-stress   - major principal stress in 12-plane
      2-stress   - minor principal stress in 12-plane
      angle      - angle 1-stress makes with 1-coordinate
	           direction (in degrees).
      yield      - ratio of second invariant of deviatoric
	           stress to initial yield value based on
	           y0.
.PP
In addition these stresses may be projected to nodes ane
printed using a 'stre,node,n1,n2,n3' macro, or contours
may be plotted using a 'plot,stre,n1,n2,n3' macro.
.bp
