.LP
.nr LL 7i
.nf
     ELMT02                         FEAP ELEMENT USERS MANUAL
     --------------------------------------------------------
	lambda,mu (Lame constants)
	it,ib,ih
     --------------------------------------------------------
.PP
ELMT02 is an element for small deformation analysis of
plane strain and axisymmetric problems.
The material model is a linear isotropic elastic
constitutive equation.
.PP
The material and property descriptions are included after a 'mate'
in the mesh specification.  For ELMT02, which is a 4-node
element only, the properties to be specified are:
.nf

Record 1.

     lambda -  Lame-parameter 1
     mu     -  Lame-parameter 2

Record 2.

     it     -  Geometry type (0=plane, 1=axisymmetric)
     ib     -  Strain matrix type (0=b-bar, 1=normal b)
	       The b-bar method should be used for any problem
	       involving near incompressibility, i.e., large
	       ratios of lambda/mu.  N.B., B-bar may be used for all
	       analyses without any loss in accuracy.
     ih     -  No. Terms at each stress point needed to integrate
	       history dependent constitutive models (e.g., 
	       plasticity).  Elasticity uses none and thus ih=0.


.PP
The ELMT02 is written in a very general manner and may be adapted
to other constitutive models (e.g., plasticity for plane stress or
strain and axisymmetric applications).  In attempting generality
some compromises in efficiency may result - especially considering
the element is restricted to 4-nodes.
.PP
The element requires a two dimensional mesh and uses the first
two coordinate values for x and y, respectively.  Similarly, the
element uses the first 2-dof at each node for the u-x and u-y 
displacement values, respectively.
.PP
ELMT02 requires that the control information be set so that 'ndm'
(space dimension of mesh) is 2 or more (maximum 3); 'ndf' maximum
number of degree-of-freedoms at a node are 2 or more (maximum 6);
and 'nen' (maximum number of nodes attached to an element) be 4 or more.
.PP
Stresses and strains at center quadrature point are reported
as follows:
.nf
     11-stress   - normal stress in 1-coordinate direction
     12-stress   - shearing stress in 12-plane
     22-stress   - normal stress in 2-coordinate direction
     33-stress   - stress normal to analysis plane
      1-stress   - major principal stress in 12-plane
      2-stress   - minor principal stress in 12-plane
      angle      - angle 1-stress makes with 1-coordinate
	           direction (in degrees).
.PP
In addition these stresses may be projected to nodes ane
printed using a 'stre,node,n1,n2,n3' macro, or contours
may be plotted using a 'plot,stre,n1,n2,n3' macro.
.bp
