





     ARCL                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        arcl,<xxxx>,kfl,lfl
     --------------------------------------------------------

     The 'arcl' macro computes a solution using an arclength
method.  The following table of input options are allowed.



                    xxxx  |   kfl    |   lfl
                    ------+----------+--------
                          |  0 to 5  |  0 or 1
                    add   |    n1    |   tau
                    check |    n1    |


In the above table 'n1' denotes the number of the  eigenvec-
tor  to  included with the current solution.  The 'tau' is a
scaling factor such that

     u <- u + |u|/|ev(n1)|/tau * ev(n1)

where 'u' is the current solution 'ev' is the eigenvector.

     The 'kfl' options area defined as follows

     N.B.
     kfl = 0: defaults to kfl = 2

     kfl = 0: Normal plane, modified newton solution
     kfl = 1: Updated normal plane, modified newton solution
     kfl = 2: Normal plane, full newton solution
     kfl = 3: Updated normal plane, full newton solution
     kfl = 4: Displacement control, modified newton solution
     kfl = 5: Displacement control, full newton solution

     lfl = 0: Use current values for arclength and load direction
              (Initial default is calculated by first solution step).
     lfl = 1: Change current values for arclength and load direction

Remarks:

     ARCL has to be called at the beginning of  each  series
     of  macro  commands,  when a nonlinear problem is to be
     solved using this method. With this call all flags will
     be  set  to perform an arclength solution. It should be
     noted that you cannot reset this flags to continue e.g.
     with pure newton method.

     ARCL requires at this stage of implementation that  the
     time increment DT is set to 1.0.

     For the calculation of load deflection curves  we  need



                     November 27, 1991





                           - 2 -


     to specify proportional load with PROP. However you may
     use the default values of PROP, since the  actual  load
     level is computed by ARCL.

     If you like to perform a branch-switching you must cal-
     culate the eigenvectors associated with the bifurcation
     load first (You may use a shift  on  the  tangent,  see
     TANG).

     The command ARCL,CHEC tells you whether  the  stability
     point is a limit point or a bifurcation point (here the
     value returned by ARCL,CHEC should be zero).

     The branch-switching is then initiated by  the  command
     ARCL,ADD,n1,n2  which adds the n1-th eigenvector to the
     current displacement field as shown above.  n2  is  the
     scaling  factor. In case n2 is zero a scaling factor is
     automatically computed using the formula

     tau = 100 * (u*ev(n1))/sqrt((u*u) * (ev(n1)*ev(n1)))  +
     1

After the addition of an eigenvector n1 to the  displacement
field  a  new  equilibrium  state  has to be computed on the
secondary branch. This is simply obtained by  the  following
macro series

     LOOP,,N TANG,,1 NEXT





























                     November 27, 1991





                           - 3 -



























































                     November 27, 1991


