





     PROP                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        prop,,<n1>
     --------------------------------------------------------

     In the solution of transient or  quasi-static  problems
in  which  the  'time'  command is used to describe each new
time state the loading may be varied proportionally. At each
time the applied loading will be computed from:

     F(i,t) = f0(i) + f(i)*prop(t)

where f0(i) is a fixed pattern which is initially  zero  but
may  be  reset using 'newf' (see manual on 'newf'); f(i) are
the "forced" nodal conditions defined during mesh  input  or
revised  during  a  'mesh' macro command; and prop(t) is the
value of the proportional loading at time 't'.

     The specific proportional loading is defined by  speci-
fying one record for each of the 'n1' values up to a maximum
of 10 (default for 'n1' is 1) with the following data:

      type, exp, tmin, tmax, a(i),i=1,4

The proportional loading may be specified as:

     Type 1 is defined by:

  prop(t) = a(1) + a(2)*(t - tmin)
                 + a(3)*( sin(a(4)*(t - tmin) )**exp

for all time values between "tmin" and "tmax".  The value of
"exp"  must  be  a positive integer all other parameters are
real.

If a blank record in input the value of tmin is set to zero;
tmax  to  10**8;  a(1), a(3), and a(4) are zero; and a(2) is
1.0 - this defines a ramp loading with unit slope.

          Example:   The  following   defines   a   linearly
          increasing load to a maximum of 1.0 at time 10 and
          then a linearly decreasing load to time 20,  after
          which the loading is zero:

               prop,,2

               1,0,0.0,20.,0.,0.10,0.0,0.0
               1,0,10.,20.,1.,-0.2,0.0,0.0

                   |   |    |    |   |   |
                   t   t   a1   a2  a3  a4
                   m   m
                   i   a
                   n   x



                     November 27, 1991





                           - 2 -


     Note that the negative  slope  is  twice  that  of  the
     increasing ramp























































                     November 27, 1991





                           - 3 -



























































                     November 27, 1991


