





     TANG                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        tang,,<n1,v2>
        tang,line,<n1,v2,v3>
     --------------------------------------------------------

     The 'tang' macro computes the tangent stiffness  matrix
about  the  current value of the solution state vector.  For
linear applications the current stiffness matrix is just the
normal 'stiffness' matrix.

     If the value of 'n1' is non-zero, a  force  vector  for
the  current residual is also computed (this is identical to
the 'form' macro computation) --  thus  leading  to  greater
efficiency  when  both  the tangent stiffness and a residual
force vector are needed.

     If the value of 'v2' is non-zero a "shift"  is  applied
to the stiffness matrix in which the mass matrix (which must
already be formed using a 'cmas' or 'lmas' macro) is  multi-
plied  by  'v2'  and  subtracted  from the stiffness matrix.
This option may be used with  the  'subs'pace  algorithm  to
compute  the closest eigenvalues to the shift, 'v2'.  Alter-
natively, the shift may be used to represent a forced vibra-
tion  solution in which all loads are assumed to be harmonic
at a value of the square-root of 'v2' (rad/time-unit).

     After the tangent  matrix  is  computed,  a  triangular
decomposition  is  available  for subsequent solutions using
'form' and 'solv', 'bfgs', etc.

     In the solution of non-linear problems, using a full or
modified  Newton method, convergence from any starting point
is not guaranteed.  Two options exist within available macro
commands  to improve chances for convergence.  One is to use
a line search to prevent solutions from  diverging  rapidly.
Specification   of  the  command  'tang,line'  plus  options
invokes the line search option (it may also be used in  con-
junction  with 'solv,line' in modified Newton schemes).  The
parameter called 'value' may be chosen between 0.5  and  0.8
and will generally produce good performance.

     The second option to improve convergence of  non-linear
problems  is to reduce the size of the load step increments.
The macro command 'back' may be used  to  "back-up"  to  the
beginning  of  the  last time step (all data in the solution
vectors is reset and the history  data  base  for  inelastic
elements  is  restored to the initial state when the current
time is started). Repeated use of the 'back' command may NOT
be  used.  Only one back-up in time is permitted.  The loads
may then be adjusted and a new solution  with  smaller  step
sizes started.

     The  'tang'  operation  is  normally  the   most   time



                     November 27, 1991





                           - 2 -


consuming  step  in  problem solutions -- for large problems
several seconds are required -- be patient!























































                     November 27, 1991





                           - 3 -



























































                     November 27, 1991


