





     UTAN                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        utan,,n1,v2
     --------------------------------------------------------

     The 'utan' macro computes the complete  tangent  stiff-
ness  matrix about the current value of the solution vector.
The complete tangent stiffness matrix consists of  both  the
upper  and  lower  non-zero  profile of the matrix.  Accord-
ingly, problems which have an "unsymmetric"  tangent  stiff-
ness  matrix may be considered.  For linear applications the
current stiffness matrix  is  just  the  normal  'stiffness'
matrix.

     If the value of 'n1' is non-zero, a  force  vector  for
the  current residual is also computed (this is identical to
the 'form' macro computation) --  thus  leading  to  greater
efficiency  when  both  the tangent stiffness and a residual
force vector are needed.

     If the value of 'v2' is non-zero a "shift"  is  applied
to  the  stiffness  matrix  in  which the lumped mass matrix
(which must already be formed using a 'lmas' macro) is  mul-
tiplied  by  'v2'  and  subtracted from the diagonals of the
stiffness  matrix.   This  option  may  be  used  with   the
'subs'pace  algorithm  to compute the closest eigenvalues to
the shift, 'v2'.  Alternatively, the shift may  be  used  to
represent a forced vibration solution in which all loads are
assumed to be harmonic at a value of the square-root of 'v2'
(rad/time-unit).

     In the solution of non-linear problems using a full  or
modified  Newton  method convergence from any starting point
is not guaranteed.  Two options exist within available macro
commands  to improve chances for convergence.  One is to use
a line search to prevent solutions from  diverging  rapidly.
Specification   of  the  command  'utan,line'  plus  options
invokes the line search option (it may also be used in  con-
junction with 'solv,line' in modified Newton schemes).  Line
search has been generally used only with symmetric tangents,
the  algorithm  may  not be robust for arbitrary unsymmetric
tangents.   The  parameter  called  'value'  may  be  chosen
between  0.5 and 0.8 and will generally produce good perfor-
mance.

     The second option to improve convergence of  non-linear
problems  is to reduce the size of the load step increments.
The macro command 'back' may be used  to  "back-up"  to  the
beginning  of  the  last time step (all data in the solution
vectors is reset and the history  data  base  for  inelastic
elements  is  restored to the initial state when the current
time is started).  This is the only method  which  is  quite
general when unsymmetric tangents are used.  Repeated use of
the 'back' command may NOT be used.   Only  one  back-up  in



                     November 27, 1991





                           - 2 -


time is permitted.  The loads may then be adjusted and a new
solution with smaller step sizes started.  After the tangent
matrix  is computed, a triangular decomposition is performed
for subsequent solutions using 'form' and 'solv', etc.  Note
that  the  'bfgs'  algorithm is available only for symmetric
tangents and will not work in conjunction with 'utan'.

     The 'utan' operation is normally the most time  consum-
ing  step in problem solutions -- for large problems several
seconds are required -- be patient!















































                     November 27, 1991





                           - 3 -



























































                     November 27, 1991


